Package Gnumed :: Package proxiedpyjamas :: Module jsonserver :: Class SimpleForkingJSONRPCServer |
[frames] | no frames]

# Class SimpleForkingJSONRPCServer

source code

                    SocketServer.ForkingMixIn --+
                                                |
                  SocketServer.BaseServer --+   |
                                            |   |
                       SocketServer.TCPServer --+
                                                |
                    SocketServer.ForkingTCPServer --+
                                                    |
    SimpleXMLRPCServer.SimpleXMLRPCDispatcher --+   |
                                                |   |
                          SimpleJSONRPCDispatcher --+
                                                    |
                                                   SimpleForkingJSONRPCServer

Simple JSON-RPC server.

Simple JSON-RPC server that allows functions and a single instance to be installed to handle requests. The default implementation attempts to dispatch JSON-RPC calls to the functions or instance installed in the server. Override the _dispatch method inhereted from SimpleJSONRPCDispatcher to change this behavior.

Instance Methods
__init__(self, addr, requestHandler=SimpleJSONRPCRequestHandler, logRequests=True) Constructor. | source code
Inherited from `SocketServer.ForkingMixIn`: `collect_children`, `handle_timeout`, `process_request` Inherited from `SocketServer.TCPServer`: `close_request`, `fileno`, `get_request`, `server_activate`, `server_bind`, `server_close` Inherited from `SocketServer.BaseServer`: `finish_request`, `handle_error`, `handle_request`, `serve_forever`, `shutdown`, `verify_request` Inherited from `SimpleXMLRPCServer.SimpleXMLRPCDispatcher`: `register_function`, `register_instance`, `register_introspection_functions`, `register_multicall_functions`, `system_listMethods`, `system_methodHelp`, `system_methodSignature`, `system_multicall`

Class Variables
| allow_reuse_address = `True`
Inherited from `SocketServer.ForkingMixIn`: `active_children`, `max_children`, `timeout` Inherited from `SocketServer.TCPServer`: `address_family`, `request_queue_size`, `socket_type`

Method Details

### __init__(self, addr, requestHandler=SimpleJSONRPCRequestHandler, logRequests=True) (Constructor) | source code
Constructor. May be extended, do not override. Overrides: SimpleXMLRPCServer.SimpleXMLRPCDispatcher.__init__